<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: Deck Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-slots">Public Slots</a> &#124;
<a href="#signals">Signals</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classDeck-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Deck Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for Deck:</div>
<div class="dyncontent">
<div class="center"><img src="classDeck__inherit__graph.png" border="0" usemap="#aDeck_inherit__map" alt="Inheritance graph"/></div>
<map name="aDeck_inherit__map" id="aDeck_inherit__map">
<area shape="rect" title=" " alt="" coords="113,80,167,107"/>
<area shape="rect" title=" " alt="" coords="5,5,136,32"/>
<area shape="rect" href="classSerializable.html" title=" " alt="" coords="160,5,259,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for Deck:</div>
<div class="dyncontent">
<div class="center"><img src="classDeck__coll__graph.png" border="0" usemap="#aDeck_coll__map" alt="Collaboration graph"/></div>
<map name="aDeck_coll__map" id="aDeck_coll__map">
<area shape="rect" title=" " alt="" coords="113,80,167,107"/>
<area shape="rect" title=" " alt="" coords="5,5,136,32"/>
<area shape="rect" href="classSerializable.html" title=" " alt="" coords="160,5,259,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-slots"></a>
Public Slots</h2></td></tr>
<tr class="memitem:ac29991a8ed5741a10ddb5ea41417152e"><td class="memItemLeft" align="right" valign="top"><a id="ac29991a8ed5741a10ddb5ea41417152e"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>onClickedCard</b> (<a class="el" href="classCard.html">Card</a> *c)</td></tr>
<tr class="separator:ac29991a8ed5741a10ddb5ea41417152e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="signals"></a>
Signals</h2></td></tr>
<tr class="memitem:a236df9fb69e38a62df50721b7916cacb"><td class="memItemLeft" align="right" valign="top"><a id="a236df9fb69e38a62df50721b7916cacb"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>clickedCardInDeck</b> (<a class="el" href="classCard.html">Card</a> *c, <a class="el" href="classDeck.html">Deck</a> *d)</td></tr>
<tr class="separator:a236df9fb69e38a62df50721b7916cacb"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:aedaacd72d2639952f5f7c59156d47d35"><td class="memItemLeft" align="right" valign="top"><a id="aedaacd72d2639952f5f7c59156d47d35"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>Deck</b> (<a class="el" href="classCardColection.html">CardColection</a> cc)</td></tr>
<tr class="separator:aedaacd72d2639952f5f7c59156d47d35"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a43f8fdf2a8736fb7067c186c2c467c81"><td class="memItemLeft" align="right" valign="top"><a id="a43f8fdf2a8736fb7067c186c2c467c81"></a>
<a class="el" href="classCardColection.html">CardColection</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>getCards</b> ()</td></tr>
<tr class="separator:a43f8fdf2a8736fb7067c186c2c467c81"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a640b319b0bec4b57a992c5061cd75c5d"><td class="memItemLeft" align="right" valign="top"><a id="a640b319b0bec4b57a992c5061cd75c5d"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>push_back</b> (<a class="el" href="classCard.html">Card</a> *)</td></tr>
<tr class="separator:a640b319b0bec4b57a992c5061cd75c5d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1595e0f91829407b7f0db0dd16096569"><td class="memItemLeft" align="right" valign="top"><a id="a1595e0f91829407b7f0db0dd16096569"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>push_front</b> (<a class="el" href="classCard.html">Card</a> *)</td></tr>
<tr class="separator:a1595e0f91829407b7f0db0dd16096569"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4478e9e77ed9b96203898f680adb6963"><td class="memItemLeft" align="right" valign="top"><a id="a4478e9e77ed9b96203898f680adb6963"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>pop_back</b> ()</td></tr>
<tr class="separator:a4478e9e77ed9b96203898f680adb6963"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1ed17db0721bd6d5f17a9530fa2efbb6"><td class="memItemLeft" align="right" valign="top"><a id="a1ed17db0721bd6d5f17a9530fa2efbb6"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>pop_front</b> ()</td></tr>
<tr class="separator:a1ed17db0721bd6d5f17a9530fa2efbb6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7468c4277f8ec20f5f7acb062341dc59"><td class="memItemLeft" align="right" valign="top"><a id="a7468c4277f8ec20f5f7acb062341dc59"></a>
<a class="el" href="classCard.html">Card</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>back</b> ()</td></tr>
<tr class="separator:a7468c4277f8ec20f5f7acb062341dc59"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8c8bfdb6dc6d07c4f7c56233c9e3ae62"><td class="memItemLeft" align="right" valign="top"><a id="a8c8bfdb6dc6d07c4f7c56233c9e3ae62"></a>
<a class="el" href="classCard.html">Card</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>front</b> ()</td></tr>
<tr class="separator:a8c8bfdb6dc6d07c4f7c56233c9e3ae62"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a354bd476af7102af339cbb083e77405b"><td class="memItemLeft" align="right" valign="top"><a id="a354bd476af7102af339cbb083e77405b"></a>
<a class="el" href="classCard.html">Card</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>operator[]</b> (int ind)</td></tr>
<tr class="separator:a354bd476af7102af339cbb083e77405b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5def1c37dafe495d195ffd4c14396214"><td class="memItemLeft" align="right" valign="top"><a id="a5def1c37dafe495d195ffd4c14396214"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>size</b> ()</td></tr>
<tr class="separator:a5def1c37dafe495d195ffd4c14396214"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a982252cf7f9760bf7f5063b6c2e037a5"><td class="memItemLeft" align="right" valign="top"><a id="a982252cf7f9760bf7f5063b6c2e037a5"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>empty</b> ()</td></tr>
<tr class="separator:a982252cf7f9760bf7f5063b6c2e037a5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac5d6dbbcfa24c74951a6a3ab5710888b"><td class="memItemLeft" align="right" valign="top"><a id="ac5d6dbbcfa24c74951a6a3ab5710888b"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>shuffleDeck</b> (int seed)</td></tr>
<tr class="separator:ac5d6dbbcfa24c74951a6a3ab5710888b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a93dc62adad3ca72ca85868e9e5a8421d"><td class="memItemLeft" align="right" valign="top"><a id="a93dc62adad3ca72ca85868e9e5a8421d"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>setAllCardsFaceDown</b> ()</td></tr>
<tr class="separator:a93dc62adad3ca72ca85868e9e5a8421d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a70b5830e9beb7524e0b4c03a14fc8550"><td class="memItemLeft" align="right" valign="top"><a id="a70b5830e9beb7524e0b4c03a14fc8550"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>setAllCardsFaceUp</b> ()</td></tr>
<tr class="separator:a70b5830e9beb7524e0b4c03a14fc8550"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3bad85564d7e44508870e12f2806db29"><td class="memItemLeft" align="right" valign="top"><a id="a3bad85564d7e44508870e12f2806db29"></a>
QRectF&#160;</td><td class="memItemRight" valign="bottom"><b>boundingRect</b> () const</td></tr>
<tr class="separator:a3bad85564d7e44508870e12f2806db29"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f1a0bb0308518a67c4bf355ff309a19"><td class="memItemLeft" align="right" valign="top"><a id="a6f1a0bb0308518a67c4bf355ff309a19"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>paint</b> (QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget)</td></tr>
<tr class="separator:a6f1a0bb0308518a67c4bf355ff309a19"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3aaad2116a72e5d24901fc314a7f0c96"><td class="memItemLeft" align="right" valign="top"><a id="a3aaad2116a72e5d24901fc314a7f0c96"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>mousePressEvent</b> (QGraphicsSceneMouseEvent *event)</td></tr>
<tr class="separator:a3aaad2116a72e5d24901fc314a7f0c96"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a45198062d971c79de9bef522d3415321"><td class="memItemLeft" align="right" valign="top"><a id="a45198062d971c79de9bef522d3415321"></a>
QVariant&#160;</td><td class="memItemRight" valign="bottom"><b>toVariant</b> () const</td></tr>
<tr class="separator:a45198062d971c79de9bef522d3415321"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8ba16da3882fcebede16e718ad0aadab"><td class="memItemLeft" align="right" valign="top"><a id="a8ba16da3882fcebede16e718ad0aadab"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>fromVariant</b> (const QVariant &amp;variant)</td></tr>
<tr class="separator:a8ba16da3882fcebede16e718ad0aadab"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>headers/<a class="el" href="deck_8h_source.html">deck.h</a></li>
<li>src/deck.cpp</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
